diff --git a/pgadmin/debugger/ctlTabWindow.cpp b/pgadmin/debugger/ctlTabWindow.cpp
index 17c4f6d..e2ec306 100644
--- a/pgadmin/debugger/ctlTabWindow.cpp
+++ b/pgadmin/debugger/ctlTabWindow.cpp
@@ -21,7 +21,7 @@
 #include "debugger/dbgConst.h"
 
 
-IMPLEMENT_CLASS( ctlTabWindow, wxWindow )
+IMPLEMENT_CLASS(ctlTabWindow, wxWindow)
 
 ////////////////////////////////////////////////////////////////////////////////
 // ctlTabWindow constructor
@@ -29,153 +29,147 @@ IMPLEMENT_CLASS( ctlTabWindow, wxWindow )
 //    This constructor creates a new notebook (a tab control) and clears out the
 //  rest of the data members.
 //
-
-ctlTabWindow::ctlTabWindow( wxWindow *parent, wxWindowID id, const wxPoint &pos, const wxSize &size, long style, const wxString &name )
-	: ctlAuiNotebook( parent, id, pos, size, style ),
-	  m_resultWindow( 0 ),
-	  m_varWindow( 0 ),
-	  m_pkgVarWindow( 0 ),
-	  m_stackWindow( 0 ),
-	  m_paramWindow( 0 ),
-	  m_messageWindow( 0 )
+ctlTabWindow::ctlTabWindow(wxWindow *parent, wxWindowID id, const wxPoint &pos,
+                           const wxSize &size, long style, const wxString &name)
+	: ctlAuiNotebook(parent, id, pos, size, style),
+	  m_resultWindow(NULL),
+	  m_varWindow(NULL),
+	  m_pkgVarWindow(NULL),
+	  m_stackWindow(NULL),
+	  m_paramWindow(NULL),
+	  m_messageWindow(NULL)
 {
 	wxWindowBase::SetFont(settings->GetSystemFont());
 	m_tabMap   = new wsTabHash();
 }
 
-void ctlTabWindow::selectTab( wxWindowID id )
+void ctlTabWindow::SelectTab(wxWindowID id)
 {
-	wsTabHash::iterator result = m_tabMap->find( id );
+	wsTabHash::iterator result = m_tabMap->find(id);
 
-	if( result != m_tabMap->end())
+	if (result != m_tabMap->end())
 	{
-		SetSelection( result->second );
+		SetSelection(result->second);
 	}
 }
 
 ////////////////////////////////////////////////////////////////////////////////
-// getResultWindow()
+// GetResultWindow()
 //
 //    This function returns a pointer to our child result window (m_resultWindow)
 //  and creates that window when we first need it.
 //
-
-ctlResultGrid *ctlTabWindow::getResultWindow( void )
+ctlResultGrid *ctlTabWindow::GetResultWindow()
 {
-	if( m_resultWindow == 0 )
+	if (m_resultWindow == 0)
 	{
 		// We don't have a result window yet - go ahead and create one
 
-		m_resultWindow = new ctlResultGrid( this, -1 );
-		AddPage( m_resultWindow, _( "Results" ), true );
+		m_resultWindow = new ctlResultGrid(this, -1);
+		AddPage(m_resultWindow, _("Results"), true);
 	}
 
-	return( m_resultWindow );
+	return m_resultWindow;
 }
 
 ////////////////////////////////////////////////////////////////////////////////
-// getVarWindow()
+// GetVarWindow()
 //
 //    This function returns a pointer to our child 'local-variables' window
 //  (m_varWindow) and creates that window when we first need it.
 //
-
-ctlVarWindow *ctlTabWindow::getVarWindow( bool create )
+ctlVarWindow *ctlTabWindow::GetVarWindow(bool _create)
 {
-	if(( m_varWindow == NULL ) && create )
+	if ((m_varWindow == NULL) && _create)
 	{
 		// We don't have a variable window yet - go ahead and create one
 
 		(*m_tabMap)[ID_VARGRID] = GetPageCount();
 
-		m_varWindow = new ctlVarWindow( this, ID_VARGRID );
-		AddPage( m_varWindow, _( "Local Variables" ), true );
+		m_varWindow = new ctlVarWindow(this, ID_VARGRID);
+		AddPage(m_varWindow, _("Local Variables"), true);
 	}
 
-	return( m_varWindow );
+	return m_varWindow;
 }
 
 ////////////////////////////////////////////////////////////////////////////////
-// getPkgVarWindow()
+// GetPkgVarWindow()
 //
 //  This function returns a pointer to our child 'package-variables' window
 //  (m_varWindow) and creates that window when we first need it.
 //
-
-ctlVarWindow *ctlTabWindow::getPkgVarWindow( bool create )
+ctlVarWindow *ctlTabWindow::GetPkgVarWindow(bool create)
 {
-	if(( m_pkgVarWindow == NULL ) && create )
+	if ((m_pkgVarWindow == NULL) && create)
 	{
 		// We don't have a variable window yet - go ahead and create one
 
 		(*m_tabMap)[ID_PKGVARGRID] = GetPageCount();
 
-		m_pkgVarWindow = new ctlVarWindow( this, ID_PKGVARGRID );
-		AddPage( m_pkgVarWindow, _( "Package Variables" ), true );
+		m_pkgVarWindow = new ctlVarWindow(this, ID_PKGVARGRID);
+		AddPage(m_pkgVarWindow, _("Package Variables"), true);
 	}
 
-	return( m_pkgVarWindow );
+	return m_pkgVarWindow;
 }
 
 ////////////////////////////////////////////////////////////////////////////////
-// getParamWindow()
+// GetParamWindow()
 //
 //    This function returns a pointer to our child 'parameters' window
 //  (m_paramWindow) and creates that window when we first need it.
 //
-
-ctlVarWindow *ctlTabWindow::getParamWindow( bool create )
+ctlVarWindow *ctlTabWindow::GetParamWindow(bool create)
 {
-	if(( m_paramWindow == NULL ) && create )
+	if ((m_paramWindow == NULL) && create)
 	{
 		// We don't have a variable window yet - go ahead and create one
 
 		(*m_tabMap)[ID_PARAMGRID] = GetPageCount();
 
-		m_paramWindow = new ctlVarWindow( this, ID_PARAMGRID );
-		AddPage( m_paramWindow, _( "Parameters" ), true );
+		m_paramWindow = new ctlVarWindow(this, ID_PARAMGRID);
+		AddPage(m_paramWindow, _("Parameters"), true);
 	}
 
-	return( m_paramWindow );
+	return m_paramWindow;
 }
 
 ////////////////////////////////////////////////////////////////////////////////
-// getMessageWindow()
+// GetMessageWindow()
 //
 //    This function returns a pointer to our child 'messages' window
 //  (m_messageWindow) and creates that window when we first need it.
 //
-
-ctlMessageWindow *ctlTabWindow::getMessageWindow( void )
+ctlMessageWindow *ctlTabWindow::GetMessageWindow()
 {
-	if( m_messageWindow == 0 )
+	if (m_messageWindow == 0)
 	{
 		// We don't have a variable window yet - go ahead and create one
 
 		(*m_tabMap)[ID_MSG_PAGE] = GetPageCount();
 
-		m_messageWindow = new ctlMessageWindow( this, ID_MSG_PAGE );
-		AddPage( m_messageWindow, _( "DBMS Messages" ), true );
+		m_messageWindow = new ctlMessageWindow(this, ID_MSG_PAGE);
+		AddPage(m_messageWindow, _("DBMS Messages"), true);
 	}
-	return( m_messageWindow );
+	return m_messageWindow;
 }
 
 ////////////////////////////////////////////////////////////////////////////////
-// getStackWindow()
+// GetStackWindow()
 //
 //    This function returns a pointer to our child stack-trace window
 //  (m_stackWindow) and creates that window when we first need it.
 //
-
-ctlStackWindow *ctlTabWindow::getStackWindow( )
+ctlStackWindow *ctlTabWindow::GetStackWindow()
 {
-	if( m_stackWindow == 0 )
+	if (m_stackWindow == 0)
 	{
 		// We don't have a stack-trace window yet - go ahead and create one
-		m_stackWindow = new ctlStackWindow( this, -1 );
-		AddPage( m_stackWindow, _( "Stack" ), true );
+		m_stackWindow = new ctlStackWindow(this, -1);
+		AddPage(m_stackWindow, _("Stack"), true);
 	}
 
-	return( m_stackWindow );
+	return m_stackWindow;
 }
 
diff --git a/pgadmin/debugger/ctlVarWindow.cpp b/pgadmin/debugger/ctlVarWindow.cpp
index 155bc31..8ec6849 100644
--- a/pgadmin/debugger/ctlVarWindow.cpp
+++ b/pgadmin/debugger/ctlVarWindow.cpp
@@ -18,7 +18,7 @@
 // App headers
 #include "debugger/ctlVarWindow.h"
 
-IMPLEMENT_CLASS( ctlVarWindow, wxGrid )
+IMPLEMENT_CLASS(ctlVarWindow, wxGrid)
 
 ////////////////////////////////////////////////////////////////////////////////
 // ctlVarWindow constructor
@@ -26,58 +26,57 @@ IMPLEMENT_CLASS( ctlVarWindow, wxGrid )
 //  Initialize the grid control and clear it out....
 //
 
-ctlVarWindow::ctlVarWindow( wxWindow *parent, wxWindowID id )
-	: wxGrid( parent, id ),
-	  m_cells( NULL ),
-	  m_nameFont( GetDefaultCellFont())
+ctlVarWindow::ctlVarWindow(wxWindow *parent, wxWindowID id)
+: wxGrid(parent, id),
+	  m_cells(NULL),
+	  m_nameFont(GetDefaultCellFont())
 {
 	wxWindowBase::SetFont(settings->GetSystemFont());
 
 	// Create the grid control
-	CreateGrid( 0, 0 );
-	SetRowLabelSize( 0 );	// Turn off the row labels
+	CreateGrid(0,0);
+	SetRowLabelSize(0);	// Turn off the row labels
 
 	// Set up three columns: name, value, and data type
-	AppendCols( 3 );
-	SetColLabelValue( COL_NAME,  _( "Name" ));
-	SetColLabelValue( COL_TYPE,  _( "Type" ));
-	SetColLabelValue( COL_VALUE, _( "Value" ));
+	AppendCols(3);
+	SetColLabelValue(COL_NAME,  _("Name"));
+	SetColLabelValue(COL_TYPE,  _("Type"));
+	SetColLabelValue(COL_VALUE, _("Value"));
 
-	EnableDragGridSize( true );
+	EnableDragGridSize(true);
 
 	// EDB wants to hide certain PL variables.  To do that, we
 	// keep a hash of hidden names and a hash of hidden types...
-	m_hiddenNames.insert( wxT( "found" ));
-	m_hiddenNames.insert( wxT( "rowcount" ));
-	m_hiddenNames.insert( wxT( "sqlcode" ));
-	m_hiddenNames.insert( wxT( "sqlerrm" ));
-	m_hiddenNames.insert( wxT( "_found" ));
-	m_hiddenNames.insert( wxT( "_rowcount" ));
-	m_hiddenNames.insert( wxT( "sqlstate" ));
+	m_hiddenNames.insert(wxT("found"));
+	m_hiddenNames.insert(wxT("rowcount"));
+	m_hiddenNames.insert(wxT("sqlcode"));
+	m_hiddenNames.insert(wxT("sqlerrm"));
+	m_hiddenNames.insert(wxT("_found"));
+	m_hiddenNames.insert(wxT("_rowcount"));
+	m_hiddenNames.insert(wxT("sqlstate"));
 
-	m_hiddenTypes.insert( wxT( "refcursor" ));
+	m_hiddenTypes.insert(wxT("refcursor"));
 
 }
 
 ////////////////////////////////////////////////////////////////////////////////
-// addVar()
+// AddVar()
 //
 //    Adds (or updates) the given variable in the 'local variables' window.  If
 //  we find a variabled named 'name' in the window, we simply update the value,
 //  otherwise, we create a new entry in the grid
 //
-
-void ctlVarWindow::addVar( wxString name, wxString value, wxString type, bool readOnly )
+void ctlVarWindow::AddVar(wxString name, wxString value, wxString type, bool readOnly)
 {
 	// If this is a 'hidden' variable, just ignore it
 
-	if( m_hiddenNames.find( name ) != m_hiddenNames.end())
+	if (m_hiddenNames.find(name) != m_hiddenNames.end())
 		return;
 
-	if( m_hiddenTypes.find( type ) != m_hiddenTypes.end())
+	if (m_hiddenTypes.find(type) != m_hiddenTypes.end())
 		return;
 
-	if( m_cells == NULL )
+	if (m_cells == NULL)
 	{
 		// This is the first variable we're adding to this grid,
 		// layout the grid and set the column headers.
@@ -86,11 +85,11 @@ void ctlVarWindow::addVar( wxString name, wxString value, wxString type, bool re
 	}
 
 	// Try to find an existing grid cell for this variable...
-	wxString	key( name );
+	wxString	key(name);
 
-	wsCellHash::iterator cell = m_cells->find( key );
+	wsCellHash::iterator cell = m_cells->find(key);
 
-	if( cell == m_cells->end())
+	if (cell == m_cells->end())
 	{
 		// Can't find this variable in the grid, go ahead and add it
 
@@ -100,19 +99,19 @@ void ctlVarWindow::addVar( wxString name, wxString value, wxString type, bool re
 		newCell.m_type  = type;
 		newCell.m_value = value;
 
-		AppendRows( 1 );
+		AppendRows(1);
 
-		SetRowLabelValue( newCell.m_row, key );
+		SetRowLabelValue(newCell.m_row, key);
 
-		SetCellValue( newCell.m_row, COL_NAME,  key );
-		SetCellValue( newCell.m_row, COL_TYPE,  type );
-		SetCellValue( newCell.m_row, COL_VALUE, value );
+		SetCellValue(newCell.m_row, COL_NAME,  key);
+		SetCellValue(newCell.m_row, COL_TYPE,  type);
+		SetCellValue(newCell.m_row, COL_VALUE, value);
 
-		SetCellFont( newCell.m_row, COL_NAME, m_nameFont );
+		SetCellFont(newCell.m_row, COL_NAME, m_nameFont);
 
-		SetReadOnly( newCell.m_row, COL_NAME,  true );
-		SetReadOnly( newCell.m_row, COL_TYPE,  true );
-		SetReadOnly( newCell.m_row, COL_VALUE, readOnly );
+		SetReadOnly(newCell.m_row, COL_NAME,  true);
+		SetReadOnly(newCell.m_row, COL_TYPE,  true);
+		SetReadOnly(newCell.m_row, COL_VALUE, readOnly);
 
 		(*m_cells)[key] = newCell;
 	}
@@ -123,23 +122,23 @@ void ctlVarWindow::addVar( wxString name, wxString value, wxString type, bool re
 
 		cell->second.m_value = value;
 
-		if( GetCellValue( cell->second.m_row, COL_VALUE ).IsSameAs( value ))
-			SetCellTextColour( cell->second.m_row, COL_VALUE, *wxBLACK );
+		if (GetCellValue(cell->second.m_row, COL_VALUE).IsSameAs(value))
+			SetCellTextColour(cell->second.m_row, COL_VALUE, *wxBLACK);
 		else
-			SetCellTextColour( cell->second.m_row, COL_VALUE, *wxRED );
+			SetCellTextColour(cell->second.m_row, COL_VALUE, *wxRED);
 
-		SetCellValue( cell->second.m_row, COL_VALUE, value );
+		SetCellValue(cell->second.m_row, COL_VALUE, value);
 
 		// FIXME: why is this part conditional?
 		// FIXME: why do we need this code? can the type ever change?
 
-		if( GetCellValue( cell->second.m_row, COL_TYPE) == wxT( "" ))
+		if (GetCellValue(cell->second.m_row, COL_TYPE) == wxT(""))
 		{
-			SetCellValue( cell->second.m_row, COL_TYPE, type );
+			SetCellValue(cell->second.m_row, COL_TYPE, type);
 		}
 	}
 
-	// AutoSizeColumns( false );
+	// AutoSizeColumns(false);
 }
 
 ////////////////////////////////////////////////////////////////////////////////
@@ -148,30 +147,37 @@ void ctlVarWindow::addVar( wxString name, wxString value, wxString type, bool re
 //    Removes the given variable from the 'local variables' window.
 //
 
-void ctlVarWindow::delVar( wxString name )
+void ctlVarWindow::DelVar(wxString name)
 {
-	if( name.IsEmpty())
+	if (name.IsEmpty())
 	{
 		delete m_cells;
 		m_cells = NULL;
 
-		if( GetNumberRows())
-			DeleteRows( 0, GetNumberRows());
+		if (GetNumberRows())
+			DeleteRows(0, GetNumberRows());
 	}
 	else
 	{
-
+		for (int row = 0; row < GetNumberRows(); row++)
+		{
+			if (GetCellValue(row, COL_NAME) == name)
+			{
+				DeleteRows(row, 1);
+				break;
+			}
+		}
 	}
 }
 
 
-wxString ctlVarWindow::getVarName( int row )
+wxString ctlVarWindow::GetVarName(int row)
 {
-	return( GetCellValue( row, COL_NAME ));
+	return(GetCellValue(row, COL_NAME));
 
 }
 
-wxString ctlVarWindow::getVarValue( int row )
+wxString ctlVarWindow::GetVarValue(int row)
 {
-	return( GetCellValue( row, COL_VALUE ));
+	return(GetCellValue(row, COL_VALUE));
 }
